pureftpd error: 530 Sorry, but I can't trust you

安装在Ubuntu13.04上安装PureFTP的时候,创建完用户并设置好权限后,测试登录的时候总是提示: 530 Sorry, but I can't trust you,查看了官方的文档解释之后,发现需要更改配置文件中的限定最小登录用户的UID,并且要比/etc/password文件中的FTP用户的UID要小......
root@localhost:~# cat /etc/pure-ftpd.conf | grep MinUID

python服务器状态监控并发短信和邮件

简单的Python检测web服务状态的程序,根据返回的状态码来鉴别服务是否正常,并使用第三方发短信服务平台来发送短信,发送邮件及时通知管理人员.没学过Python,只看了点儿文档写出来的,代码写的不是很好,但能跑起来,凑合着用吧。

MySQL数据库备份,还原,用户日常管理命令

MySQL数据库备份,还原,用户日常管理命令
一:数据库备份还原
1.备份MySQL数据库的命令
root@localhost /# mysqldump -hhostname -uusername -ppassword databasename > backupfile.sql
2.备份MySQL数据库为带删除表的格式,能够让该备份覆盖已有数据库而不需要手动删除原有数据库。

Linux Web 服务器,SSH-PHP-MySQL-Nginx-Apache安全

首先将linux系统尽量伪装成windows服务器,这样对一些只会用工具来扫描的菜鸟来说,误扫到密码的可能性将缩小很多。 毕竟机器处公网环境,也没完全的把握不中招,禁止掉ping,修改web服务器的一些信息,当然也可以用iptabales限制ssh登录地址的ip,可有时候也显得不方便。
我的服务器远程端口修改的是3389端口,这样貌似具有诱惑力些。当你把端口修改成3389后,用工具扫描端口的话,在安全日志中会出现这样的错误信息,

Linux系统管理常用命令

1.循环遍历当前目录所有的文件名包含 html.php 的文件
[root@ me /]# find . | grep "html.php"

2.循环遍历当前目录所有的文件名包含 html.php 的文件并删除
[root@ me /]# find . | grep "html.php" | xargs rm -rf

VPS安装debian-X64,mysql-5.6.10,php-5.4.12,nginx-1.2.7与配置

VPS安装debian-X64,mysql-5.6.10,php-5.4.12,nginx-1.2.7与配置
环境Debian6.0X64/512M/20G.安装前的配置以及安装一些必要的工具
# aptitude update
# aptitude upgrade
# aptitude -y purge apache2 apache2-mpm-worker apache2-utils apache2.2-bin apache2.2-common
# aptitude install build-essential cmake //编译mysql5.5以上就要用到的编译工具 ......

nginx & wordpress configure rewrite

nginx & wordpress 配置重写来做伪静态,每个域名单独放到一个server文件中,在nginx.conf中包含进去,这样有利于配置管理.
me@localhost /# cat /webserver/nginx/vhost/lastme.conf
1.在需要配置伪静态的server配置文件中,配置如下...

Hello world!

Welcome to WordPress. This is your first post. Edit or delete it, then start blogging!

Page 9 of 9« First...56789